using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.Threading.Tasks;

namespace Performance.DtoModels
{
    public class PerformanceTokenErrorException : Exception
    {
        public PerformanceTokenErrorException()
        {
        }

        public PerformanceTokenErrorException(string message) : base(message)
        {
        }

        public PerformanceTokenErrorException(string message, Exception innerException) : base(message, innerException)
        {
        }

        protected PerformanceTokenErrorException(SerializationInfo info, StreamingContext context) : base(info, context)
        {
        }
    }
}
